---
- name: EDA - Install certbot and nginx plugin
  ansible.builtin.pip:
    name:
      - certbot
      - certbot-nginx
    virtualenv: /opt/certbot
    virtualenv_command: /bin/python3 -m venv
    state: present

- name: EDA - Fetch staging X1 CA certificate
  ansible.builtin.get_url:
    url: https://letsencrypt.org/certs/staging/letsencrypt-stg-root-x1.pem
    dest: /etc/pki/ca-trust/source/anchors/
    mode: "0644"
  notify: Update CA trust on eda
  when:
    - letsencrypt_staging

- name: EDA - Fetch staging X2 CA certificate
  ansible.builtin.get_url:
    url: https://letsencrypt.org/certs/staging/letsencrypt-stg-root-x2.pem
    dest: /etc/pki/ca-trust/source/anchors/
    mode: "0644"
  notify: Update CA trust on eda
  when:
    - letsencrypt_staging

- name: EDA - Define FQDN
  ansible.builtin.set_fact:
    letsencrypt_public_fqdn: "{{ controller_eda_instance_name }}.{{ dns_suffix }}.ansible-labs.de"

- name: EDA - Install certificate via Staging Server
  ansible.builtin.command: /opt/certbot/bin/certbot -n --nginx -d {{ letsencrypt_public_fqdn }} --agree-tos -m {{ letsencrypt_mail }} --redirect --test-cert
  args:
    creates: /etc/letsencrypt/live/{{ letsencrypt_public_fqdn }}/privkey.pem
  when:
    - letsencrypt_staging

- name: EDA - Install certificate via Production Server
  ansible.builtin.command: /opt/certbot/bin/certbot -n --nginx -d {{ letsencrypt_public_fqdn }} --agree-tos -m {{ letsencrypt_mail }} --redirect
  args:
    creates: /etc/letsencrypt/live/{{ letsencrypt_public_fqdn }}/privkey.pem
  when:
    - not letsencrypt_staging
